About Hard Drive Inspector

Your data is in danger

From the user's point of view, information stored on a computer hard disk is the most valuable element of their computer system. The value of this information often exceeds the value of the computer itself. But a hard disk is one of the most unreliable internal computer devices. When it crashes (which happens quite frequently), the stored information will be lost fully or partially. Subsequent information recovery is either not possible at all, or constitutes a very sophisticated and expensive procedure that can be performed only by specialists.

Hard Drive Inspector vastly reduces the risk of data loss

After installation Hard Drive Inspector performs constant monitoring of technical conditions of computer hard disks. In many cases it is able to warn the user about forthcoming disk failure in advance. Timely alerts make it possible to copy the data and replace an unreliable disk, thus preventing information loss.

How can a hard disk crash be predicted?

Modern hard disks support S.M.A.R.T. (Self-Monitoring, Analysis, and Reporting Technology) that was specially developed to detect upcoming disk failures. Using this technology Hard Drive Inspector can monitor the current state of various life-critical parameters describing a disk's reliability and performance. Hard Drive Inspector analyzes this data and warns the user if the parameters indicate a critical reduction of disk reliability.

Are all hard disk failures predictable?

No. Hard disks have both electronic and mechanical parts. Failures of electronic components usually occur suddenly and therefore are hard to predict. But wear of the mechanical part happens gradually over time, which makes disk failure prediction much easier. According to the statistics of Seagate company, most of the hard disk crashes (about 60%) occur because of mechanical failures; and mechanical failures are usually predictable failures.


Hard Drive Inspector for Notebooks

Year by year notebook computers are replacing usual desktop PCs at work and at home. Notebooks are small and handy, but they are also much more fragile than desktops. For a number of reasons notebook hard drives are even less reliable than those of desktops. These reasons are:

  1. Shaking. Various jolts and shakings happen frequently during notebook transportation and active work. This expedites deterioration of the mechanical parts of a hard drive.
  2. Insufficient power supply. When powered by the battery, the notebook hard drive might not get sufficient power because of excessive battery load. In this case the hard drive will not be able to maintain constant rotation speed which increases the probability of information loss.
  3. High temperature. Heat emission of components of modern notebooks may reach 100 watts. And all those components are located in a small area with weak cooling. In such a harsh environment hard drive temperature is often close to or even exceeds the maximum allowed value (55°C (131°F) for most hard drives). This negatively affects both mechanical (thermal expansion of the platters) and electronic (overheating and possible failure of the controller) parts of a hard drive.

That’s why notebook hard drives need constant health monitoring to prevent data loss. Such monitoring can be performed with Hard Drive Inspector Professional (HDIP). But the Professional version is intended mostly for desktop computers and doesn’t take into account some peculiar features of notebooks. For example, HDIP periodically reads S.M.A.R.T. data from a hard drive to control its health. Reading this data when the hard drive is in sleep mode activates the disk which in turn causes an unnecessary increase in power consumption and reduces battery life. In addition, the average working temperature of a notebook's hard drives is usually higher than the temperature of a desktop’s disks. So, when used in notebooks, HDIP may show false overheating alerts.

These problems led us to develop a special edition of Hard Drive Inspector intended for notebook users. Hard Drive Inspector for Notebooks has all the functionality of the Professional version, but also takes into account the specific features of notebooks listed above. This is the most powerful version of Hard Drive Inspector.


Compare versions

Compare versions of Hard Drive Inspector

Features | Pro fessional | for Notebooks
 | $29.95 | $39.95
Health monitoring for IDE, SerialATA and USB hard drives |  |
Multilingual interface |  |
"Technical Info" page (Advanced Mode) |  |
"S.M.A.R.T. Details" page (Advanced Mode) |  |
Advanced Disk Management (noise and power control) |  |
"Death time" prognosis for hard drives |  |
Disk temperature info in the system tray |  |
Disk temperature history diagram |  |
HTML/TXT reports on disk health |  |
Network message warnings support |  |
E-mail message warnings support |  |
Support for specific functioning of notebook hard drives |  |
Support for power modes of notebook hard drives |  |


System Requirements

Minimum System Requirements

The computer on which you install Hard Drive Inspector should meet the following system requirements:

  • Operating system Windows 2000/XP/2003/Vista.
  • About 6 MB of available disk space.
  • At least one ATA-compatible (PATA or SATA) hard drive. Hard Drive Inspector doesn't support SCSI disks and the disk in RAID arrays.

    USB disks based on Cypress AT2 chips (USB to ATA/ATAPI bridge) are supported. Below is incomplete list of the supported USB drives and enclosures:

    1) Transcend StoreJet 3.5 TS0GSJ35, StoreJet 2.5 TS0GSJ25;
2) Western Digital
Passport Portable Hard Drives;
3) Thermaltake Muse A2291, A2292, A2293,
A2294, A2295, A2296;
4) AgeStar MR3K1F, IUB3A-SO, IUB3A-BK, IUB2O1, IUB2A;
5) DelronTech U00830-525NS, U00830-35MA1, FU9183A-25DS, U00830-25DS;
6) ArrowMicro PM-526U2-ACS, PM-525U2-ACB;
7) Sarotech FCD-524U2;
8) Iomega USB 2.0 external hard drives;
9) Conceptronic Grab'n'Go 3.5 Hard Disk USB 2.0 (CHD3UL), Grab'n'Go 2.5 Hard
Disk USB 2.0 (CHD2UL), USB 2.0 storage box 5.25 (CID525U);
10) OmegaTech UHD211, UHD213, UHD221, UHD225, UHD231, UHD233, UHD234, UHD235,
UHD251, UHD253, UHD255;
11) Lacie Rugged All-Terrain Hard Drive, Skwarim, Brick Mobile Hard Drive,
Mobile Hard Drive, Design by F.A. Porsche, Mobile Drive;
12) Gembird FD2-UF2;
13) Mad Dog Multimedia MegaVAULT 3.5; MegaVAULT 2.5.

    I-O DATA USB disks of HDH-SUE, HDH-SU, HDH-UEH, HDC-U, HDP-U, HDPX-SU, HDMX-SU, HDH-U, HDH-US, HDH-U, HDPX-U, HDMX-U series.


Health Summary

Health Summary (Basic Mode)

Beginning with version 2.0 Hard Drive Inspector (HDI) has two working modes. Basic mode is intended for the users with no special knowledge of computer hardware. In this mode, HDI shows only the most important information about the current condition of hard disks (Health Summary page). When switched to the Advanced mode, HDI shows extended technical data (Technical Info and S.M.A.R.T. Details pages) that helps people with special knowledge get a more detailed view of the hard drives' condition. Use the Switch to ... Mode toolbar button [image] to switch between these two modes.

Below is a screenshot of HDI's main window in the Basic mode.

For each hard disk HDI shows the following elements:

  1. Disk state indicator. This is the most important interface element; it is intended for quick visual estimation of the current hard drive's condition. There are four main states:
    OK: your hard disk reports good health status.
    Warning: your hard disk still seems to be reliable, but some of its important characteristics have degraded..
    Danger: your hard disk reports bad health status; you shouldn't use this disk any longer.
    Unknown: your hard disk doesn't support S.M.A.R.T. or you are using an unregistered version of HDI.

  2. Main technical characteristics of the device. This area contains reference information about the hard drive's model, capacity, total free space and hours in power-on state. The last parameter will be used for the estimation of device usage intensity.

    Note: question mark beside the Power-on time hours means that this information may be incorrect, and HDI is trying to determine the time units used by hard drive manufacturer for this particular drive. Determination procedure may take from 2 minutes to 2 hours depending on HDD model.

  3. Reliability, Performance and Error resistance indicators display quantitative (in percent) and qualitative (good, warning or bad) estimation of the corresponding hard drive parameters. This estimation is counted during the analysis of all life-critical disk characteristics.
  4. Short verbal description of the current hard drive's condition.
  5. Recommendation string displays advice about the actions necessary to prevent data loss.
  6. If the hard drive has an internal thermal sensor, the current temperature will be shown in this area. On the temperature diagram (View temperature diagram link) you can see fluctuations of disk temperature since the time when HDI was started.
  7. Depending on the value of Display HDD's death time estimation settings parameter, the main window may show a prediction of hard disk death time. This prognosis is not exact and should be used only as a supplement to the diagnosis shown in (1) and (3).


Technical Info

Technical Info (Advanced Mode)

This page becomes accessible after switching to the Advanced mode, and is intended for the computer hardware specialists. Here you can find extensive reference information about hard drives' characteristics, such as buffer size, firmware version, list of supported transfer modes, etc.


S.M.A.R.T. Details

S.M.A.R.T. Details (Advanced Mode)

This page becomes accessible after switching to the Advanced mode, and is intended for the computer hardware specialists familiar with S.M.A.R.T. technology. The page contains detailed information about important parameters describing various aspects of the hard drive's performance and reliability. This information is used by Hard Drive Inspector (HDI) for a hard drive condition analysis (the results of the analysis are represented on the Health Summary page).

If you are not familiar with S.M.A.R.T., we strongly recommend you to read this brief introduction first.

Attributes table

HDI displays S.M.A.R.T. attributes information as a table of six columns:

  1. Graphical indicator in the first column is a visual representation of the current state of the attribute. There are five possible states:
    - the attribute value hasn't changed since the beginning of monitoring.
    - the attribute value changed since the beginning of monitoring.
    - the attribute value is lower than 50%.
    - the attribute value is lower than 30%.
    - the attribute value has fallen below its threshold.

  2. S.M.A.R.T. attribute number.
  3. Attribute name and short description.
  4. Current state in percent. Here you can also see a diagram that shows the history of attribute changes. Note: a hard drive itself doesn't keep the history of changes, so HDI can show this data only since the time the program was installed on the computer.
  5. Attribute value. Besides the current value and the threshold value described in the S.M.A.R.T. standard, HDI also shows the best and the worst values registered during attribute monitoring.
  6. Attribute flags.
    • Life-critical (LC) - attribute directly affects hard disk reliability.
    • Performance related (PR) - attribute indicates hard disk performance degradation.
    • Error rate (ER) - means that attribute measures frequency of errors.
    • Event count (EC) - means that attribute is used as an event counter.
    • Self-preserving (SP) - attribute is automatically preserved and restored each time when performing S.M.A.R.T. tests.
    • Online collection (OC) - the value of this attribute is calculated during Online test.


Miscellaneous

Run at Windows startup. You can disable this option to free computer memory occupied by Hard Drive Inspector (HDI). When this option is disabled, hard disk monitoring is not performed.

Display HDD's death time estimation. When this check box is selected, the main window will display information about prediction of hard disk death time. This prognosis is not exact and should be used only as a supplement to the main diagnosis shown on the Health Summary page.

Interface language. This list shows all languages supported by the current version of HDI.


Reliability Control

Check hard disks condition every … minutes. The option defines the interval between hard disk checks performed by Hard Drive Inspector (HDI). The shorter this interval, the greater the chance that HDI will notify you of an emerged problem right after the problem emerges. On the other hand, frequent checks of hard drives may negatively affect current performance because part of the time will be used by the disk for self-checking.

Skip drives that report wrong S.M.A.R.T. data (requires HDI's restarting). The option defines the behavior of the HDD Info Service. If it's enabled then the S.M.A.R.T. data that is reported by HDD is checked due to the ATA standards. If HDD fails the checking procedure then HDD Info Service skips this drive. Changing this option requires the restarting of the Hard Drive Inspector.

Actions in Case of Danger

This group of options defines actions that will be performed by Hard Drive Inspector (HDI) when a hard drive becomes unreliable. A Hard disk is considered to be unreliable if some of its most important parameters drop below their thresholds (see Introduction to S.M.A.R.T. for details). Unreliable disks have “Danger” status displayed on the Health Summary page.

Possible actions:

  1. Show message.
  2. Play sound warning.
  3. Run program. This option gives an ability to perform some emergency actions to save the data right after danger detection. For example, it can start data backup procedure.
  4. Send network message warning. If this check box is selected, then in case of danger HDI will send a warning message to a remote computer using standard net send command. Click the Settings… button to enter the name of the remote computer.
  5. Send e-mail message warning. If this option is enabled, then in case of danger HDI will send a warning message to the specified e-mail address. Click the Settings… button to enter the address and other necessary e-mail parameters.


Temperature Control

Hard drive temperature greatly impacts its operability. Overheating may cause a fall of performance and reliability, or reduce disk lifetime. For example, maximum working temperature for the Western Digital's Caviar series of hard drives is 55°Ñ (131°F), but reducing this temperature to 45°C (113°F) results in twofold (!) increase of reliability. If a hard drive has an internal thermal sensor, Hard Drive Inspector (HDI) will be able to monitor disk temperature.

Check temperature every … seconds. The option defines the interval between temperature checks performed by HDI. The minimal allowed interval is 10 seconds.

Critical temperature. When hard disk temperature exceeds this value, HDI will perform actions defined by the Actions at Critical Temperature group of options. Maximum working temperature differs for different hard drives but the most common value is 55°C (131°F).

Show all temperatures in one window. If this option is enabled, temperature information for all hard drives will be combined in one tooltip window (see example below) instead of displaying separate temperature icon for each drive.

Actions at Critical Temperature

This group of options defines the actions that HDI will perform when hard disk temperature exceeds critical value.

  1. Blink tray icon and show message.
  2. Play sound warning.
  3. Put computer on standby (all hard drives will be stopped).
  4. Send network message warning. If this check box is selected, then in case of hard drive overheating HDI will send a warning message to a remote computer using standard net send command. Click the Settings… button to enter the name of the remote computer.
  5. Send e-mail message warning. If this option is enabled, then in case of hard drive overheating HDI will send a warning message to the specified e-mail address. Click the Settings… button to enter the address and other necessary e-mail parameters.


Advanced Disk Management

Some modern hard drives support advanced options for noise and power management. Hard Drive Inspector gives you an ability to control these settings for each of your hard drives separately.

Automatic Acoustic Management

Automatic Acoustic management is a technology developed to reduce the noise produced by hard drives, at the cost of a small performance decrease. Usually hard disks have this function disabled by default; you can enable it using HDI. Move the slider to change current acoustic management level. A short description of the chosen level is displayed in the Current level string.

Advanced Power Management

Advanced Power Management allows reducing hard drive power consumption, at the cost of a small performance decrease. Move the slider to change current power consumption level. A short description of the chosen level is displayed in the Current level string.


E-mail Settings

If you enabled the Send e-mail message warning option on the Reliability Control or Temperature Control pages, you have to specify the address to send those messages to, as well as necessary Simple Mail Transfer Protocol (SMTP) settings.

Send e-mail warnings to. Specifies the destination address for warning messages.

SMTP Settings group of options specifies e-mail account information used by Hard Drive Inspector (HDI) to connect to your mail server. Enter the same settings you use for outgoing mail in your default e-mail client (Outlook, Outlook Express, etc). You can get this information from your Internet Service Provider (ISP) or local area network (LAN) administrator.

Default e-mail encoding. Specifies the character set standard to use for sending messages. Change it to the encoding used as a standard in your country.

User

Name. This name will be displayed in the From field of the sent messages.

E-mail address. Your address in the standard form (user@somedomain.com ).

Server

Name. The name or address of your SMTP server (server used for outgoing mail).

Port number. Specifies the port number of your SMTP server. This value is usually 25.

Authentication

My server requires authentication. Select this check box if your server asks for a password to send messages. Use the Settings… button to specify your Account name and Password in the SMTP Authentication Settings dialog.


Introduction to S.M.A.R.T.

Note: you don't need to know all technical details described below to use Hard Drive Inspector (HDI) successfully. HDI's Health Summary page contains all necessary information about your hard drives' health presented in easy-to-understand form. Read on if you want to know what lies behind the scene.

This brief introduction to S.M.A.R.T. technology provides only minimum information necessary for understanding how HDI analyzes a hard disk to determine its condition. If you want to know more about S.M.A.R.T., we recommend reading this article.

Self-Monitoring, Analysis, and Reporting Technology (S.M.A.R.T.) was developed by the major hard drive manufacturers to increase reliability of their products. A S.M.A.R.T. capable hard disk supports intelligent self-diagnostics procedures, and is able to report about its current condition. This diagnostic information is reported as a collection of attributes. Attribute is a specific characteristic of a hard drive used for analysis of its performance and reliability. Examples of S.M.A.R.T. attributes are Seek Error Rate and Spin-Up Time. The lists of used attributes differ for different manufacturers or even for different disk models of the same manufacturer. But the most important attributes are the same for all.

Every attribute has a current value which is a number ranged from 1 to 100, 200, or 253 (there is no common standard for the upper bound of attribute values; upper bounds may differ even for different attributes of the same hard drive). Current value changes over time (usually decreasing), reflecting degradation of the hard drive characteristic corresponding to this attribute. In addition to the current value, every attribute has its threshold value, which is defined by the manufacturer. If the current value of some attribute becomes lower or equal to its threshold value, the hard disk is considered to be unreliable. For example, the fall of Spin-Up Time attribute below its threshold usually means that mechanical part of the hard drive is in such a bad condition that it can no longer support necessary disk rotation speed.

Besides current values representing condition of attributes, there are raw values that have a special purpose for each attribute. For example, the raw value of the Power-On Hours attribute is a counter of the hard drive's time in power-on state. HDI doesn't show raw values in the attributes table, but they are included to the report saved by the Save report toolbar button [image].

Also each attribute has flags indicating purpose of the attribute; an attribute can have several flags simultaneously. The meanings of the flags are described in the Attributes Table section.


How to Purchase

Minor upgrades (for example, from version 2.0 to any of 2.x) are free for our registered users. The cost of a major upgrade is $19.95 (instead of the full $29.95 price.) If you are a registered user of a previous version, please use this link https://usd.swreg.org/cgi-bin/s.cgi?s=30093&p=30093ALTRIX8 to upgrade.

License type | Price per unit |
Hard Drive Inspector Professional Single license | $29.95 | Buy now
Hard Drive Inspector Professional Small family license (up to 3 computers) - $20 save! | $69.95 | Buy now
Hard Drive Inspector Professional Big family license (up to 5 computers) - $50 save!!! | $99.95 | Buy now
Hard Drive Inspector for Notebooks Single license | $39.95 | Buy now
Business license (10 and more) | - | Contact us at sales@altrixsoft.com

New users can register Hard Drive Inspector Professional at a cost of $29.95. Select one of the following ways:

  1. Through the World Wide Web. This is the fastest and easiest way. The ordering page is secure and your information remains confidential. Use https://usd.swreg.org/cgi-bin/s.cgi?s=30093&p=30093ALTRIX6 link for this.
  2. You can also order Hard Drive Inspector by fax, mail or phone. Simply open this link and follow the instructions.

After payment approval (usually, in one business day), we will send you the registration key, which will remove all limitations of the unregistered version.

If you do not get your registration key within a reasonable time (two business days for credit card payments or two weeks for other payments), please notify us at support@altrixsoft.com. We hope that there will be no inconvenience, caused by these delays.

Important: when completing the order form, please double-check that your e-mail address is correct. If it is not, you will be unable to receive the registration key.


Contacts and Support

Dear User,

If you are experiencing a problem with our software, please contact our Support Team at support@altrixsoft.com. Every bug you report, every comment, opinion or suggestion is of great importance to us. Feel free to contact us for any question, concerning Hard Drive Inspector.

You can also visit the Hard Drive Inspector home page at http://www.altrixsoft.com/en/hddinsp/ to download the most recent version or to register your copy.

Best regards,
AltrixSoft